Package org.drinkless.tdlib

# Class TdApi.SetChatAvailableReactions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetChatAvailableReactions

Enclosing class:
  `TdApi`

public static class TdApi.SetChatAvailableReactions extends TdApi.Function<TdApi.Ok>
Changes reactions, available in a chat. Available for basic groups, supergroups, and channels. Requires canChangeInfo member right.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.ChatAvailableReactions`
  `availableReactions`
  Reactions available in the chat.
  `long`
  `chatId`
  Identifier of the chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetChatAvailableReactions()`
  Default constructor for a function, which changes reactions, available in a chat.
  `SetChatAvailableReactions(long chatId, TdApi.ChatAvailableReactions availableReactions)`
  Creates a function, which changes reactions, available in a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat.

  - ### availableReactions

    public TdApi.ChatAvailableReactions availableReactions
    Reactions available in the chat. All explicitly specified emoji reactions must be active. In channel chats up to the chat's boost level custom emoji reactions can be explicitly specified.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetChatAvailableReactions

    public SetChatAvailableReactions()
    Default constructor for a function, which changes reactions, available in a chat. Available for basic groups, supergroups, and channels. Requires canChangeInfo member right.

    Returns `Ok`

  - ### SetChatAvailableReactions

    public SetChatAvailableReactions(long chatId, TdApi.ChatAvailableReactions availableReactions)
    Creates a function, which changes reactions, available in a chat. Available for basic groups, supergroups, and channels. Requires canChangeInfo member right.

    Returns `Ok`

    Parameters:
      `chatId` - Identifier of the chat.
      `availableReactions` - Reactions available in the chat. All explicitly specified emoji reactions must be active. In channel chats up to the chat's boost level custom emoji reactions can be explicitly specified.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR